module G_globals
	use T_atoms
	use T_grid3D
  implicit none

! =========== Definition of system and force field
type (subSystem)    :: surf, tip
real, dimension (3) :: Rtip0

integer :: SondZ                                            ! proton number of sond
integer ntypes                                              ! number of atom types 
type (atomType),allocatable        :: atypes(:)             ! list of atom types
real, dimension (:,:), allocatable :: C6ij, C12ij,E0ij      ! precomputed table of pairs coefs

real                :: kMorse      ! stiffness constant of harmoni
real, dimension (3) :: kHarmonic   ! stiffness constant of harmonic potential
real, dimension (3) :: RspringMin   ! stiffness constant of harmonic potential

! =========== Relaxation criterium 
real 	 startKick      ! initialize velocity by    v0 = startKick*F*dt
real     damping        ! damp velocity   v = v * (1.0-damping) 
real     dt
real     convergF
integer  maxRelaxIter, iiter
integer  relaxMethod

!real betaPi, betaSigma   ! STM decay 
real beta1, beta2  ! STM decay 

! ============ OUTPUT data
type (grid3D) :: OutE,OutFx,OutFy,OutFz, OutX, OutY, OutZ,   OutETip, OutFzTip,   OutT1,OutT2, OutTSS1, OutTSS2, OutR1 ! OutT12 
integer format_Out  ! set output format for grid3D variables ( bitwise test : 0=none 1=ppm 2=xsf 3=both ) 
integer wrtDebug

end module G_globals
